SQL-инъекция в gllcTS2

Дата публикации:
17.06.2008
Всего просмотров:
1110
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2746
CVE-2008-2919
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
gllcTS2 4.x
Уязвимые версии: gllcTS2 4.2.4, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sort" в сценарии listing.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "detail" в сценарии login.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.gryphonllc.com/p/php/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: GLLCTS2 <= 4.2.4 (login.php detail) SQL Injection Exploit
GLLCTS2 (listing.php sort) Remote Blind SQL Injection Exploit

или введите имя

CAPTCHA